#ifndef CHROOT_USER_H
#define CHROOT_USER_H

#pragma once

BOOL RunProcessAsUser(std::wstring& cmdLine, const CmdLineArgs& args, PROCESS_INFORMATION& pi);
BOOL GetUsernameAndPassword(CmdLineArgs& args);
BOOL CheckCreateUserPrivilege();
void DeleteUser(const std::wstring& user);
BOOL DoesUserExist(LPCWSTR pUserName);

#endif
